<?php
/****************************************/
/*                                      */
/*  百信卡盟平台联系QQ:84945491         */
/*  淘宝店 http://shop70674652.taobao.com  */
/*  百信卡盟 http://www.caipiaobus.com  */
/*                                      */
/****************************************/

if ( $vd['table'] == 0 )
{
				widget( "head" );
				include( $path_cache.DS."mod_b2b_Shared_head.php" );
				echo "<body>\r\n  \r\n<div class=\"titleDiv\" id=\"titleList\">\r\n<div style=\"float:left\"><a href=\"index.php?a=Home\"><img src=\"";
				echo $vd['sc'];
				echo "images/home.png\" style=\"vertical-align:middle\" border=\"0\"/></a></div><div style=\"float:left;padding-top:8px;padding-left:3px;\"><a href=\"index.php?a=Home\" title=\"回到后台首页\"><font color=\"#000\">桌面</font></a> ";
				echo "<s";
				echo "pan style=\"font-size:7px;\">>></span> <font color=\"#000\">补单列表</font> (共 <b>";
				echo "<s";
				echo "pan id=\"tol1\">";
				echo $vd['totlerow'];
				echo "</span></b> 个)\r\n";
				echo "<s";
				echo "trong onmouseover=\"showhide(this);\" onmouseout=\"showhide(this);\" style=\"cursor:pointer\">[?]</strong><p style=\"display:none\">\r\n      1、提交：自动进入已提交补单状态<br/>\r\n      2、成功：进入补单完成状态<br/>\r\n      点击页面 \"未补单\" 进入那些已提交补单状态的单子列表<br/>\r\n    </p> \r\n</div>\r\n<div style=\"float:right\"><a href=\"index.php?m=mod_home&a=Help&t=admin_b2b_order_index\" onFocus=\"this.blur()\" title=\"查?;
				echo "炊┑ハ喙匕镏鶿"><img src=\"";
				echo $vd['sc'];
				echo "images/help.gif\" style=\"vertical-align:middle\" border=\"0\"/></a></div>\r\n</div>\r\n<div class=\"mytitle\" id=\"mytitle\">\r\n  <div class=\"titleOp4\" onmouseover=\"this.className='iconbg4'\" onmouseout=\"this.className='titleOp4'\" onclick=\"delAllSubmit('destroyitems')\">";
				echo "<s";
				echo "amp title=\"先选择您要删除的行,再点此按钮\">\r\n    <div style=\"padding-top:10px;padding-left:9px;\">批量销毁</div></samp>\r\n  </div>\r\n  <div class=\"titleOp2\" onmouseover=\"this.className='iconbg2'\" onmouseout=\"this.className='titleOp2'\" onclick=\"tableRefresh()\">";
				echo "<s";
				echo "amp title=\"点击刷新本页刷新数据,并保持原来勾选状态\">\r\n    <div style=\"padding-top:10px;padding-left:9px;\">刷新</div></samp>\r\n  </div>\r\n  <div class=\"titleOp4\"  onmouseover=\"if(editRealtime) return;this.className='iconbg4'\" onmouseout=\"if(editRealtime) return;this.className='titleOp4'\" onclick=\"batchEdit(this)\" style=\"margin-right:7px\">";
				echo "<s";
				echo "amp title=\"批量修改所选项的记录\">\r\n    <div style=\"padding-top:10px;padding-left:10px;\">实时修改</div></samp>\r\n  </div>\r\n  <div class=\"titleOp4\"  onmouseover=\"if(editRealtime) return;this.className='iconbg4'\" onmouseout=\"if(editRealtime) return;this.className='titleOp4'\" onclick=\"loadDisp(1);window.location='?m=mod_b2b&c=Bd&aid=-2&ordstate=3'\" style=\"margin-right:7px\">";
				echo "<s";
				echo "amp title=\"选择已经提交但是未处理的补单信息\">\r\n    <div style=\"padding-top:10px;padding-left:10px;color:#ff0000\">未补单</div></samp>\r\n  </div>\r\n  <div style=\"float:right;padding-top:4px;\">\r\n    <form action=\"index.php?m=mod_b2b&c=Bd&by=1&allaid=";
				echo $vd['allaid'];
				echo "&aid=";
				echo $vd['aid'];
				echo "\" method=\"post\" style=\"margin:0px 0px 0px 0px;\" onsubmit=\"return searchSubmit()\">\r\n    <input type=\"text\" name=\"keywords\" size=\"25\" value=\"";
				echo $vd['keywords'];
				echo "\" style=\"vertical-align:middle;\" class=\"custsearch\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" />\r\n    ";
				echo "<s";
				echo "elect name=\"stype\" style=\"vertical-align:middle;font-size:14px;\">\r\n      ";
				option( $vd['sarray'], $vd['stype'] );
				echo "    </select>\r\n    ";
				echo "<s";
				echo "elect name=\"ordstate\" style=\"vertical-align:middle;font-size:14px;\">\r\n      ";
				option( $vd['oarray'], $vd['otype'] );
				echo "    </select>\r\n    <input type=\"submit\" value=\"搜 索\" style=\"vertical-align:middle;\" class=\"button\"/><input type=\"button\" value=\"&gt;&gt;\"  onclick=\"disp('adddiv')\" class=\"button adv\"/>\r\n    </form>\r\n  </div>\r\n</div>\r\n\r\n<div id=\"contentTip\" style=\"display:none;\"></div>\r\n<div id=\"adddiv\" style=\"position:absolute;top:100px;left:230px;;width:320px;display:none\">\r\n  <div class=\"popbg\">\r\n  <div class=\"poptitle\">?;
				echo "呒端阉?/div>\r\n  <div style=\"float:right;\"><img src=\"";
				echo $vd['sc'];
				echo "images/destroy.gif\" onclick=\"disp('adddiv')\" style=\"cursor:pointer\"/></div>\r\n  <form action=\"index.php?m=mod_b2b&c=Bd&inrecycle=";
				echo $vd['inrecycle'];
				echo "\" method=\"post\" onsubmit=\"return searchSubmit()\" style=\"clear:both\">\r\n  <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width=\"100%\">\r\n    <tr>\r\n      <td width=\"25%\">起始日期</td>\r\n      <td width=\"75%\">\r\n        <input type=\"text\" name=\"startdate\" size=\"18\" value=\"";
				echo $vd['startdate'];
				echo "\" style=\"vertical-align:middle;\" id=\"startdate\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" />\r\n        <img src=\"";
				echo $vd['sc'];
				echo "images/calender.gif\" onclick=\"dateDialog('startdate')\" style=\"vertical-align:middle;cursor:pointer;margin-left:0px;\"/>\r\n      </td>\r\n    </tr>\r\n    <tr>\r\n      <td width=\"25%\">终止日期</td>\r\n      <td width=\"75%\">\r\n        <input type=\"text\" name=\"enddate\" size=\"18\" value=\"";
				echo $vd['enddate'];
				echo "\" style=\"vertical-align:middle;\"  id=\"enddate\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" />\r\n        <img src=\"";
				echo $vd['sc'];
				echo "images/calender.gif\" onclick=\"dateDialog('enddate')\" style=\"vertical-align:middle;cursor:pointer;margin-left:0px;\"/>\r\n      </td>\r\n    </tr>\r\n    <tr>\r\n      <td width=\"25%\">关键词</td>\r\n      <td width=\"75%\">\r\n        <input type=\"text\" name=\"keywords\" size=\"25\" value=\"";
				echo $vd['keywords'];
				echo "\" style=\"vertical-align:middle;\" class=\"custsearch\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" />\r\n      </td>\r\n    </tr>\r\n    <tr>\r\n      <td width=\"25%\">搜索类型</td>\r\n      <td width=\"75%\">\r\n        ";
				echo "<s";
				echo "elect name=\"stype\" style=\"vertical-align:middle;font-size:14px;\">\r\n        ";
				option( $vd['sarray'], $vd['stype'] );
				echo "        </select>\r\n      </td>\r\n    </tr>\r\n    <tr>\r\n      <td width=\"25%\">订单状态</td>\r\n      <td width=\"75%\">\r\n        ";
				echo "<s";
				echo "elect name=\"ordstate\" style=\"vertical-align:middle;font-size:14px;\">\r\n        ";
				option( $vd['oarray'], $vd['otype'] );
				echo "        </select>\r\n      </td>\r\n    </tr>\r\n    <tr>\r\n      <td width=\"25%\"></td>\r\n      <td width=\"75%\">\r\n        <input type=\"hidden\" value=\"inrecycle\" value=\"";
				echo $vd['inrecycle'];
				echo "\"/>\r\n        <input type=\"submit\" value=\"搜 索\" class=\"button\"/>\r\n        <input type=\"button\" value=\"取 消\" onclick=\"disp('adddiv')\" class=\"button\"/>\r\n      </td>\r\n    </tr>\r\n  </table>\r\n  </form>\r\n  </div>\r\n</div>\r\n<div id=\"menuMask\" class=\"menuMask\" style=\"display:none\">\r\n  <form action=\"?m=mod_b2b&c=Tpl&tpl=bd\" method=\"post\" style=\"margin:0px\">\r\n  <div class=\"menuContent\">\r\n  <input type=\"checkbox\" name=\"";
				echo "id[]\" value=\"cztype\" id=\"cztype\" onFocus='this.blur()'/>业务类型<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"czaccount\" id=\"czaccount\" onFocus='this.blur()'/>充值用户<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"accpwd\" id=\"accpwd\" onFocus='this.blur()'/>用户密码<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"islight\" id=\"islight\" onFocus='this.blur()'/>图标是否亮<br/>\r\n  <input type=\"checkb";
				echo "ox\" name=\"id[]\" value=\"remark\" id=\"remark\" onFocus='this.blur()'/>订单备注<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"cip\" id=\"cip\" onFocus='this.blur()'/>下单者IP<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"createdate\" id=\"createdate\" onFocus='this.blur()'/>提交时间<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"state\" id=\"state\" onFocus='this.blur()'/>订单状态<br/>\r\n  <input type=\"checkb";
				echo "ox\" name=\"id[]\" value=\"aid\" id=\"aid\" onFocus='this.blur()'/>所属<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"quickcheck\" id=\"quickcheck\" onFocus='this.blur()'/>快速提交<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"suc\" id=\"suc\" onFocus='this.blur()'/>确认成功<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"cz\" id=\"cz\" onFocus='this.blur()'/>补单<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" valu";
				echo "e=\"admremark\" id=\"admremark\" onFocus='this.blur()'/>管理员回复<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tadmin\" id=\"tadmin\" onFocus='this.blur()'/>补单管理员<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"view\" id=\"view\" onFocus='this.blur()'/>查看订单<br/>\r\n  </div>\r\n  <div class=\"menuOp\">\r\n  <input type=\"submit\" value=\"保存\" class=\"button\"/>\r\n  <input type=\"button\" value=\"重置\" class=\"button\"";
				echo " onclick=\"tInfoReset()\"/>\r\n  <input type=\"button\" value=\"取消\" class=\"button\" onclick=\"setMenuMask()\"/>\r\n  </div>\r\n  </form>\r\n</div>\r\n\r\n<table id=\"thead\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n  <tr>\r\n    <td width=\"30px\">\r\n      <input name=\"chkall\" id=\"chkall\" type=\"checkbox\" class=\"checkbox\" onclick=\"CheckAll(this)\" onFocus='this.blur()'/></td>\r\n";
				echo "<td width=\"160px\"><b>业务类型</b></td>\n<td width=\"90px\"><b>充值账号</b></td>\n<td width=\"120px\"><b>账号密码</b></td>\n<td width=\"50px\"><b>图标亮</b></td>\n<td width=\"140px\"><b>提交时间</b></td>\n<td width=\"95px\"><b>订单状态</b></td>\n<td width=\"35px\"><b>提交</b></td>\n<td width=\"35px\"><b>成功</b></td>\n<td width=\"40px\"><b>补单</b></td>\n<td width=\"120px\"><b>补单管理员</b></td>\n<td width=\"22px\"><img src=\"";
				echo $vd['sc'];
				echo "images/icon_view.gif\"/></td>\n";
				echo "    <td width=\"22px\">\r\n      ";
				if ( $vd['inrecycle'] == 0 )
				{
								echo "      <img src=\"";
								echo $vd['sc'];
								echo "images/icon_trash.gif\"/>\r\n      ";
				}
				else
				{
								echo "      <img src=\"";
								echo $vd['sc'];
								echo "images/destroy.gif\"/>\r\n      ";
				}
				echo "    </td>\r\n    <td class=\"endtd\">\r\n      <div class=\"infoicon\" onclick=\"setMenuMask()\"><b><u>>></u></b></div>\r\n    </td>\r\n  </tr>\r\n</table>\r\n<div id=\"tip\" style=\"display:none\">\r\n  ";
				echo "<s";
				echo "pan id=\"tiptable\">此页中所有 <b>";
				echo "<s";
				echo "pan id=\"ncheck\">";
				echo $vd['nrows'] < $vd['totlerow'] ? $vd['nrows'] : $vd['totlerow'];
				echo "</span></b> 条记录已选中 </span> \r\n  ";
				echo "<s";
				echo "pan id=\"tipspan\">\r\n    <a href=\"javascript:CheckTotle(";
				echo $vd['totlerow'];
				echo ",0)\">点此选择当前列表中所有 <b>";
				echo $vd['totlerow'];
				echo "</b> 条记录>></a>\r\n  </span>\r\n</div>\r\n<div id=\"content\">\r\n";
}
echo "  ";
if ( $vd['totlerow'] == 0 )
{
				echo "  <table  width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n  <tr>\r\n    <td align=\"right\" colspan=\"20\">无任何记录</td>\r\n  </tr>\r\n  </table>\r\n  ";
}
echo "  <form id=\"cform\" name=\"form\" method=\"post\" action=\"index.php?m=mod_b2b&c=Bd&a=ItemDeal\" onsubmit=\"return Check();\">\r\n  <table id=\"tbody\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n  \r\n  ";
foreach ( $vd['items'] as $item )
{
				echo "  <tr onmouseover=\"setoverbg(this)\" onmouseout=\"setoutbg(this)\">\r\n    <td width=\"30px\">\r\n      <input type=\"checkbox\" name=\"id[]\" id=\"idchk_";
				echo $item['id'];
				echo "\" class=\"checkbox\" onclick=\"CheckThis(this)\" onFocus='this.blur()' value=\"";
				echo $item['id'];
				echo "\" />\r\n    </td>\r\n";
				echo "<td width=\"160px\"><nobr>";
				echo "<s";
				echo "amp title=\"";
				echo $item['cztype'];
				echo "\">";
				echo $item['cztype'];
				echo "</samp></nobr></td>\n<td width=\"90px\">";
				echo "<s";
				echo "pan onclick=\"copyToClipboard('";
				echo $item['czaccount'];
				echo "')\" style=\"cursor:pointer\" title=\"点击直接复制\">";
				echo $item['czaccount'];
				echo "</span></td>\n<td width=\"120px\">";
				echo "<s";
				echo "pan onclick=\"copyToClipboard('";
				echo $item['accpwd'];
				echo "')\" style=\"cursor:pointer\" title=\"点击直接复制\">";
				echo $item['accpwd'];
				echo "</span></td>\n<td width=\"50px\">";
				if ( $item['islight'] == 0 )
				{
								echo "<font color=\"#6a6a6a\">不亮</font>";
				}
				else
				{
								echo "<font color=\"#0000ff\">亮</font>";
				}
				echo "</td>\n<td width=\"140px\">";
				echo $item['createdate'];
				echo "</td>\n<td width=\"95px\">";
				orderstatebd( $item['ordstate'] );
				echo "</td>\n<td width=\"35px\">";
				if ( $item['ordstate'] != 1 )
				{
								echo "<img src=\"";
								echo $vd['sc'];
								toggleimgsrc( $item['ordstate'] == 1 ? 0 : 1 );
								echo "\" />";
				}
				else
				{
								echo "<img src=\"";
								echo $vd['sc'];
								toggleimgsrc( $item['ordstate'] == 1 ? 0 : 1 );
								echo "\" onclick=\"toToggle(this,'";
								echo $item['id'];
								echo "','ordstate')\" alt=\"点此马上修改订单状态为交易完成状态！\" onFocus=\"this.blur()\" class=\"mousehand\"/>";
				}
				echo "</td>\n<td width=\"35px\">";
				if ( $item['ordstate'] == 2 )
				{
								echo "<img src=\"";
								echo $vd['sc'];
								toggleimgsrc( $item['ordstate'] == 2 ? 1 : 0 );
								echo "\" />";
				}
				else
				{
								echo "<img src=\"";
								echo $vd['sc'];
								toggleimgsrc( $item['ordstate'] == 2 ? 1 : 0 );
								echo "\" onclick=\"toToggle(this,'";
								echo $item['id'];
								echo "','ordstate3')\" alt=\"点此马上修改订单状态为交易完成状态！\" onFocus=\"this.blur()\" class=\"mousehand\"/>";
				}
				echo "</td>\n<td width=\"40px\"><input type=\"button\" value=\"处理\" class=\"button\" style=\"width:35px;\" onclick=\"window.location='?m=mod_b2b&c=bd&a=cetail&id=";
				echo $item['id'];
				echo "'\"/></td>\n<td width=\"120px\">";
				echo $item['admname'];
				echo "</td>\n<td width=\"22px\"><a href=\"index.php?m=mod_b2b&c=Bd&a=detail&id=";
				echo $item['id'];
				echo "\" title=\"查看订单\" onFocus=\"this.blur()\" onclick=\"loadDisp(1)\"><img src=\"";
				echo $vd['sc'];
				echo "images/icon_view.gif\"/></a></td>\n";
				echo "    <td width=\"22px\">\r\n      <img src=\"";
				echo $vd['sc'];
				echo "images/destroy.gif\" onclick=\"delSubmit(";
				echo $item['id'];
				echo ",'destroyitems')\" alt=\"销毁订单,无法恢复\" style=\"cursor:pointer\"/>\r\n    </td>\r\n    <td class=\"endtd\"></td>\r\n  </tr>\r\n  ";
}
echo "  \r\n</table>\r\n</form>\r\n<input type=\"hidden\" value=\"";
echo $vd['totlepage'];
echo "\" id=\"totlePage\"/>\r\n<input type=\"hidden\" value=\"";
echo $vd['thispage'];
echo "\" id=\"thisPage\"/>\r\n";
if ( $vd['table'] == 0 )
{
				echo "</div>\r\n\r\n<input type=\"hidden\" value=\"index.php?m=mod_b2b&c=Bd&a=Deals&";
				echo $vd['op'];
				echo "\" id=\"op\"/>\r\n<input type=\"hidden\" value=\"index.php?m=mod_b2b&c=Bd&istable=1&";
				echo $vd['op'];
				echo "\" id=\"url\"/>\r\n<input type=\"hidden\" value=\"";
				echo $vd['op'];
				echo "\" id=\"params\"/>\r\n<div style=\"position:absolute;bottom:0px\">\r\n  <div class=\"tbBottom\" id=\"tbBottom\">\r\n    <div style=\"float:left;padding-top:8px;\">\r\n      ";
				echo "<s";
				echo "trong> 总计 <font color=\"#ff0000\">";
				echo "<s";
				echo "pan id=\"tol2\">";
				echo $vd['totlerow'];
				echo "</span></font> 条</strong>\r\n    </div>\r\n    <div style=\"float:right;text-align:right;\">\r\n    <form id=\"actionform\" method=\"post\" action=\"index.php?m=mod_b2b&c=Bd&";
				echo $vd['op'];
				echo "\" style=\"margin:0px;\" onsubmit=\"loadDisp(1)\">\r\n    <div id=\"page\"></div>\r\n    <div style=\"float:left;margin-top:3px\">\r\n      每页显示<input type=\"text\" name=\"nrows\" size=\"2\" value=\"";
				echo $vd['nrows'];
				echo "\" class=\"pagetxt\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" /> 个 \r\n      到第<input type=\"text\" name=\"page\" size=\"2\" value=\"";
				echo $vd['thispage'];
				echo "\" class=\"pagetxt\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" />页<input type=\"submit\" value=\" 确 定 &gt;&gt;\" class=\"pagesub\" />\r\n    </div>\r\n    </form>\r\n    </div>\r\n  </div>\r\n</div>\r\n<div id=\"load\" style=\"display:none;\">\r\n  <div id=\"loadcontent\" >页面加载中请稍等...</div>\r\n</div>\r\n</body>\r\n";
				echo "<s";
				echo "cript type=\"text/javascript\">\r\n//第一参数，后边保留显示的列数\r\n//第二参数，除最后一个参数外的保留参数的总宽度\r\ntRows   = ";
				echo $vd['nrows'] < $vd['totlerow'] ? $vd['nrows'] : $vd['totlerow'];
				echo ";\r\ntInfoA  = Array(1,29);\r\ntotleRows = ";
				echo $vd['totlerow'];
				echo ";\r\ndeltxt  = \"如果您销毁的订单含有成功订单，有可能会影响到您的财务统计，建议不要销毁，并把他还原\\n\\n假如销毁，对应的订单将无法恢复，您确定进行销毁操作吗？\";\r\nthisaction = \"销毁\";\r\nthisdel = 0;\r\nonedel  = 0;\r\nsc = \"";
				echo $vd['sc'];
				echo "\";\r\nstatistics = 0;\r\nvar resizeidx = 1;\r\n</script>\r\n";
				echo "<s";
				echo "cript type=\"text/javascript\">\r\n//当前表格配置\r\n";
				echo " tInfo = Array('cztype','czaccount','accpwd','islight','createdate','state','quickcheck','suc','cz','tadmin','view');\n";
				echo "function copyToClipboard(text){\r\n  \r\n  if(text==null||text=='undefined')\r\n  return;\r\n  \r\n  if (window.clipboardData)\r\n  {\r\n    window.clipboardData.setData(\"Text\", text);\r\n  }\r\n  else if (window.netscape)\r\n  {\r\n  netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');\r\n  var clip = Components.classes['@mozilla.org/widget/clipboard;1'].createInstance(Components.interfaces.nsIClipb";
				echo "oard);\r\n  if (!clip) return;\r\n\r\n  var trans = Components.classes['@mozilla.org/widget/transferable;1'].createInstance(Components.interfaces.nsITransferable);\r\n  if (!trans) return;\r\n  trans.addDataFlavor('text/unicode');\r\n  \r\n  var str = new Object();\r\n  var len = new Object();\r\n  \r\n  var str = Components.classes[\"@mozilla.org/supports-string;1\"]\r\n               .createInstance(Components.interfac";
				echo "es.nsISupportsString);\r\n  \r\n  var copytext=text;\r\n  \r\n  str.data=copytext;\r\n  \r\n  trans.setTransferData(\"text/unicode\",str,copytext.length*2);\r\n  \r\n  var clipid=Components.interfaces.nsIClipboard;\r\n  \r\n  if (!clip) return ;\r\n  \r\n  clip.setData(trans,null,clipid.kGlobalClipboard);\r\n  \r\n  }\r\n  \r\n  alert(\"已复制成功，请直接粘贴\\n\"+text);\r\n}\r\n</script>\r\n";
				echo "<s";
				echo "cript src=\"";
				echo $vd['sc'];
				echo "js/tools.js\" type=\"text/javascript\"></script>\r\n\r\n";
				echo "<s";
				echo "cript type=\"text/javascript\">\r\n  function CheckPwd()\r\n  {\r\n    var xmlhttpcp;\r\n    var obj = document.getElementById(\"sysmsg\");\r\n    \r\n    try{\r\n      xmlhttpcp=new XMLHttpRequest();\r\n    }\r\n    catch(e){\r\n      xmlhttpcp=new ActiveXObject(\"Microsoft.XMLHTTP\");\r\n    }\r\n    \r\n    xmlhttpcp.onreadystatechange=function(){\r\n      if (xmlhttpcp.readyState==4){\r\n        if (xmlhttpcp.status==200){\r\n    ";
				echo "      var data=xmlhttpcp.responseText;\r\n          if(data == \"1\"){\r\n            tdivid = \$(\"divid\").value;\r\n            tdivmethod = \$(\"divmethod\").value;\r\n            disp('cdiv');\r\n            if(tdivid == 0)\r\n            {\r\n              delAllSubmit(tdivmethod);\r\n            }\r\n            else\r\n            {\r\n              delSubmit(tdivid, tdivmethod);\r\n            }\r\n          }\r\n          ";
				echo "else\r\n          {\r\n            alert(\"您输入的密码不正确\")\r\n          }\r\n        }\r\n      }\r\n    }\r\n    \r\n    xmlhttpcp.open(\"post\", \"index.php?m=mod_b2b&c=Bd&a=CheckPwd\", true);\r\n    xmlhttpcp.setRequestHeader('Content-type','application/x-www-form-urlencoded');\r\n    xmlhttpcp.send('tradepwd=' + \$(\"tradepwd\").value);\r\n  }\r\n  \r\n  \r\n</script>\r\n";
				echo "<s";
				echo "cript type=\"text/javascript\">\r\n\tfunction tableRefresh1()\r\n  {\r\n  \tloadDisp(0);\r\n  \tvar thisPage  = parseInt(\$(\"thisPage\").value);\r\n  \thttpurl = \$(\"url\").value + \"&page=\" + thisPage;\r\n  \tloadXMLDoc(state_Change, httpurl);\r\n  }\r\n\tsetInterval(tableRefresh1, 30000);\r\n</script>\r\n</html>\r\n";
}
?>
